Package org.apache.sling.jcr.base.internal.mount

## Class ProxyJackrabbitSession

- java.lang.Object
- - org.apache.sling.jcr.base.internal.mount.ProxySession<org.apache.jackrabbit.api.JackrabbitSession>
  - - org.apache.sling.jcr.base.internal.mount.ProxyJackrabbitSession

All Implemented Interfaces:
  `javax.jcr.Session`, `org.apache.jackrabbit.api.JackrabbitSession`

    public class ProxyJackrabbitSession
    extends ProxySession<org.apache.jackrabbit.api.JackrabbitSession>
    implements org.apache.jackrabbit.api.JackrabbitSession

### Field Summary

### Fields inherited from class org.apache.sling.jcr.base.internal.mount.ProxySession

`jcr, mount`

### Fields inherited from interface org.apache.jackrabbit.api.JackrabbitSession

`ACTION_ADD_PROPERTY, ACTION_LOCKING, ACTION_MODIFY_ACCESS_CONTROL, ACTION_MODIFY_PROPERTY, ACTION_NODE_TYPE_MANAGEMENT, ACTION_READ_ACCESS_CONTROL, ACTION_REMOVE_NODE, ACTION_REMOVE_PROPERTY, ACTION_USER_MANAGEMENT, ACTION_VERSIONING`

### Fields inherited from interface javax.jcr.Session

`ACTION_ADD_NODE, ACTION_READ, ACTION_REMOVE, ACTION_SET_PROPERTY`

### Constructor Summary

Constructors
`ProxyJackrabbitSession​(ProxyRepository repository, org.apache.jackrabbit.api.JackrabbitSession jcr, javax.jcr.Session mount, Set<String> mountPoints)`

### Method Summary

All Methods Instance Methods Concrete Methods
`javax.jcr.Item` `getItemOrNull​(String absPath)`
`javax.jcr.Node` `getNodeOrNull​(String absPath)`
`org.apache.jackrabbit.api.security.principal.PrincipalManager` `getPrincipalManager()`
`javax.jcr.Property` `getPropertyOrNull​(String absPath)`
`org.apache.jackrabbit.api.security.user.UserManager` `getUserManager()`
`javax.jcr.Workspace` `getWorkspace()`
`boolean` `hasPermission​(String absPath, String... actions)`

### Methods inherited from class org.apache.sling.jcr.base.internal.mount.ProxySession

`addLockToken, addNode, addNode, checkPermission, exportDocumentView, exportDocumentView, exportSystemView, exportSystemView, getAccessControlManager, getAttribute, getAttributeNames, getImportContentHandler, getItem, getLockTokens, getNamespacePrefix, getNamespacePrefixes, getNamespaceURI, getNode, getNodeByIdentifier, getNodeByUUID, getNodes, getProperty, getRepository, getRetentionManager, getRootNode, getUserID, getValueFactory, hasCapability, hasNodes, hasPendingChanges, hasPermission, impersonate, importXML, isLive, itemExists, logout, move, nodeExists, propertyExists, refresh, refresh, removeItem, removeLockToken, save, setNamespacePrefix, unwrap, wrap, wrap, wrap, wrap`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface javax.jcr.Session

`addLockToken, checkPermission, exportDocumentView, exportDocumentView, exportSystemView, exportSystemView, getAccessControlManager, getAttribute, getAttributeNames, getImportContentHandler, getItem, getLockTokens, getNamespacePrefix, getNamespacePrefixes, getNamespaceURI, getNode, getNodeByIdentifier, getNodeByUUID, getProperty, getRepository, getRetentionManager, getRootNode, getUserID, getValueFactory, hasCapability, hasPendingChanges, hasPermission, impersonate, importXML, isLive, itemExists, logout, move, nodeExists, propertyExists, refresh, removeItem, removeLockToken, save, setNamespacePrefix`

### Constructor Detail

#### ProxyJackrabbitSession

    public ProxyJackrabbitSession​(ProxyRepository repository,
                                  org.apache.jackrabbit.api.JackrabbitSession jcr,
                                  javax.jcr.Session mount,
                                  Set<String> mountPoints)

### Method Detail

#### getWorkspace

    public javax.jcr.Workspace getWorkspace()

Specified by:
  `getWorkspace` in interface `javax.jcr.Session`
Overrides:
  `getWorkspace` in class `ProxySession<org.apache.jackrabbit.api.JackrabbitSession>`

#### hasPermission

    public boolean hasPermission​(String absPath,
                                 String... actions)
                          throws javax.jcr.RepositoryException

Specified by:
  `hasPermission` in interface `org.apache.jackrabbit.api.JackrabbitSession`
Throws:
  `javax.jcr.RepositoryException`

#### getPrincipalManager

    public org.apache.jackrabbit.api.security.principal.PrincipalManager getPrincipalManager()
                                                                                      throws javax.jcr.AccessDeniedException,
                                                                                             javax.jcr.UnsupportedRepositoryOperationException,
                                                                                             javax.jcr.RepositoryException

Specified by:
  `getPrincipalManager` in interface `org.apache.jackrabbit.api.JackrabbitSession`
Throws:
  `javax.jcr.AccessDeniedException`
  `javax.jcr.UnsupportedRepositoryOperationException`
  `javax.jcr.RepositoryException`

#### getUserManager

    public org.apache.jackrabbit.api.security.user.UserManager getUserManager()
                                                                       throws javax.jcr.AccessDeniedException,
                                                                              javax.jcr.UnsupportedRepositoryOperationException,
                                                                              javax.jcr.RepositoryException

Specified by:
  `getUserManager` in interface `org.apache.jackrabbit.api.JackrabbitSession`
Throws:
  `javax.jcr.AccessDeniedException`
  `javax.jcr.UnsupportedRepositoryOperationException`
  `javax.jcr.RepositoryException`

#### getItemOrNull

    public javax.jcr.Item getItemOrNull​(String absPath)
                                 throws javax.jcr.RepositoryException

Specified by:
  `getItemOrNull` in interface `org.apache.jackrabbit.api.JackrabbitSession`
Throws:
  `javax.jcr.RepositoryException`

#### getPropertyOrNull

    public javax.jcr.Property getPropertyOrNull​(String absPath)
                                         throws javax.jcr.RepositoryException

Specified by:
  `getPropertyOrNull` in interface `org.apache.jackrabbit.api.JackrabbitSession`
Throws:
  `javax.jcr.RepositoryException`

#### getNodeOrNull

    public javax.jcr.Node getNodeOrNull​(String absPath)
                                 throws javax.jcr.RepositoryException

Specified by:
  `getNodeOrNull` in interface `org.apache.jackrabbit.api.JackrabbitSession`
Throws:
  `javax.jcr.RepositoryException`